org.richfaces.ui.toggle.panelMenu

## Enum UIPanelMenuItem.Properties

- java.lang.Object
- - java.lang.Enum<UIPanelMenuItem.Properties>
  - - org.richfaces.ui.toggle.panelMenu.UIPanelMenuItem.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIPanelMenuItem.Properties>
  Enclosing class:
    UIPanelMenuItem

      protected static enum UIPanelMenuItem.Properties
      extends Enum<UIPanelMenuItem.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `bypassUpdates`
    `data`
    `disabled`
    `label`
    `leftIconClass`
    `limitRender`
    `mode`
    `onbeforedomupdate`
    `onbeforeselect`
    `onbegin`
    `onclick`
    `oncomplete`
    `ondblclick`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `onselect`
    `onunselect`
    `render`
    `rightIconClass`
    `selectable`
    `status`
    `style`
    `unselectable`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIPanelMenuItem.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIPanelMenuItem.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### bypassUpdates

          public static final UIPanelMenuItem.Properties bypassUpdates

    - #### data

          public static final UIPanelMenuItem.Properties data

    - #### disabled

          public static final UIPanelMenuItem.Properties disabled

    - #### label

          public static final UIPanelMenuItem.Properties label

    - #### leftIconClass

          public static final UIPanelMenuItem.Properties leftIconClass

    - #### limitRender

          public static final UIPanelMenuItem.Properties limitRender

    - #### mode

          public static final UIPanelMenuItem.Properties mode

    - #### onbeforedomupdate

          public static final UIPanelMenuItem.Properties onbeforedomupdate

    - #### onbeforeselect

          public static final UIPanelMenuItem.Properties onbeforeselect

    - #### onbegin

          public static final UIPanelMenuItem.Properties onbegin

    - #### onclick

          public static final UIPanelMenuItem.Properties onclick

    - #### oncomplete

          public static final UIPanelMenuItem.Properties oncomplete

    - #### ondblclick

          public static final UIPanelMenuItem.Properties ondblclick

    - #### onmousedown

          public static final UIPanelMenuItem.Properties onmousedown

    - #### onmousemove

          public static final UIPanelMenuItem.Properties onmousemove

    - #### onmouseout

          public static final UIPanelMenuItem.Properties onmouseout

    - #### onmouseover

          public static final UIPanelMenuItem.Properties onmouseover

    - #### onmouseup

          public static final UIPanelMenuItem.Properties onmouseup

    - #### onselect

          public static final UIPanelMenuItem.Properties onselect

    - #### onunselect

          public static final UIPanelMenuItem.Properties onunselect

    - #### render

          public static final UIPanelMenuItem.Properties render

    - #### rightIconClass

          public static final UIPanelMenuItem.Properties rightIconClass

    - #### selectable

          public static final UIPanelMenuItem.Properties selectable

    - #### status

          public static final UIPanelMenuItem.Properties status

    - #### style

          public static final UIPanelMenuItem.Properties style

    - #### unselectable

          public static final UIPanelMenuItem.Properties unselectable

  - ### Method Detail

    - #### values

          public static UIPanelMenuItem.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIPanelMenuItem.Properties c : UIPanelMenuItem.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIPanelMenuItem.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014 JBoss by Red Hat. All rights reserved.